com.amazonaws.services.lambda.model

## Class UpdateFunctionCodeRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.UpdateFunctionCodeRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateFunctionCodeRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateFunctionCodeRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateFunctionCodeRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getFunctionName()` The existing Lambda function name whose code you want to replace.
`Boolean` `getPublish()` This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.
`String` `getS3Bucket()` Amazon S3 bucket name where the .zip file containing your deployment package is stored.
`String` `getS3Key()` The Amazon S3 object (the deployment package) key name you want to upload.
`String` `getS3ObjectVersion()` The Amazon S3 object (the deployment package) version you want to upload.
`ByteBuffer` `getZipFile()` The contents of your zip file containing your deployment package.
`int` `hashCode()`
`Boolean` `isPublish()` This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.
`void` `setFunctionName(String functionName)` The existing Lambda function name whose code you want to replace.
`void` `setPublish(Boolean publish)` This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.
`void` `setS3Bucket(String s3Bucket)` Amazon S3 bucket name where the .zip file containing your deployment package is stored.
`void` `setS3Key(String s3Key)` The Amazon S3 object (the deployment package) key name you want to upload.
`void` `setS3ObjectVersion(String s3ObjectVersion)` The Amazon S3 object (the deployment package) version you want to upload.
`void` `setZipFile(ByteBuffer zipFile)` The contents of your zip file containing your deployment package.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateFunctionCodeRequest` `withFunctionName(String functionName)` The existing Lambda function name whose code you want to replace.
`UpdateFunctionCodeRequest` `withPublish(Boolean publish)` This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.
`UpdateFunctionCodeRequest` `withS3Bucket(String s3Bucket)` Amazon S3 bucket name where the .zip file containing your deployment package is stored.
`UpdateFunctionCodeRequest` `withS3Key(String s3Key)` The Amazon S3 object (the deployment package) key name you want to upload.
`UpdateFunctionCodeRequest` `withS3ObjectVersion(String s3ObjectVersion)` The Amazon S3 object (the deployment package) version you want to upload.
`UpdateFunctionCodeRequest` `withZipFile(ByteBuffer zipFile)` The contents of your zip file containing your deployment package.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateFunctionCodeRequest

    public UpdateFunctionCodeRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The existing Lambda function name whose code you want to replace.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The existing Lambda function name whose code you want to replace.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

The existing Lambda function name whose code you want to replace.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  The existing Lambda function name whose code you want to replace.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public UpdateFunctionCodeRequest withFunctionName(String functionName)

The existing Lambda function name whose code you want to replace.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The existing Lambda function name whose code you want to replace.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setZipFile

    public void setZipFile(ByteBuffer zipFile)

The contents of your zip file containing your deployment package. If you are using the web API directly, the contents of the zip file must be base64-encoded. If you are using the AWS SDKs or the AWS CLI, the SDKs or CLI will do the encoding for you. For more information about creating a .zip file, go to Execution Permissions in the AWS Lambda Developer Guide.

AWS SDK for Java performs a Base64 encoding on this field before sending this request to AWS service by default. Users of the SDK should not perform Base64 encoding on this field.

Warning: ByteBuffers returned by the SDK are mutable. Changes to the content or position of the byte buffer will be seen by all objects that have a reference to this object. It is recommended to call ByteBuffer.duplicate() or ByteBuffer.asReadOnlyBuffer() before using or reading from the buffer. This behavior will be changed in a future major version of the SDK.

Parameters:
  `zipFile` - The contents of your zip file containing your deployment package. If you are using the web API directly, the contents of the zip file must be base64-encoded. If you are using the AWS SDKs or the AWS CLI, the SDKs or CLI will do the encoding for you. For more information about creating a .zip file, go to Execution Permissions in the AWS Lambda Developer Guide.

#### getZipFile

    public ByteBuffer getZipFile()

The contents of your zip file containing your deployment package. If you are using the web API directly, the contents of the zip file must be base64-encoded. If you are using the AWS SDKs or the AWS CLI, the SDKs or CLI will do the encoding for you. For more information about creating a .zip file, go to Execution Permissions in the AWS Lambda Developer Guide.

`ByteBuffer`s are stateful. Calling their `get` methods changes their `position`. We recommend using `ByteBuffer.asReadOnlyBuffer()` to create a read-only view of the buffer with an independent `position`, and calling `get` methods on this rather than directly on the returned `ByteBuffer`. Doing so will ensure that anyone else using the `ByteBuffer` will not be affected by changes to the `position`.

Returns:
  The contents of your zip file containing your deployment package. If you are using the web API directly, the contents of the zip file must be base64-encoded. If you are using the AWS SDKs or the AWS CLI, the SDKs or CLI will do the encoding for you. For more information about creating a .zip file, go to Execution Permissions in the AWS Lambda Developer Guide.

#### withZipFile

    public UpdateFunctionCodeRequest withZipFile(ByteBuffer zipFile)

The contents of your zip file containing your deployment package. If you are using the web API directly, the contents of the zip file must be base64-encoded. If you are using the AWS SDKs or the AWS CLI, the SDKs or CLI will do the encoding for you. For more information about creating a .zip file, go to Execution Permissions in the AWS Lambda Developer Guide.

Parameters:
  `zipFile` - The contents of your zip file containing your deployment package. If you are using the web API directly, the contents of the zip file must be base64-encoded. If you are using the AWS SDKs or the AWS CLI, the SDKs or CLI will do the encoding for you. For more information about creating a .zip file, go to Execution Permissions in the AWS Lambda Developer Guide.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3Bucket

    public void setS3Bucket(String s3Bucket)

Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function.

Parameters:
  `s3Bucket` - Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function.

#### getS3Bucket

    public String getS3Bucket()

Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function.

Returns:
  Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function.

#### withS3Bucket

    public UpdateFunctionCodeRequest withS3Bucket(String s3Bucket)

Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function.

Parameters:
  `s3Bucket` - Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3Key

    public void setS3Key(String s3Key)

The Amazon S3 object (the deployment package) key name you want to upload.

Parameters:
  `s3Key` - The Amazon S3 object (the deployment package) key name you want to upload.

#### getS3Key

    public String getS3Key()

The Amazon S3 object (the deployment package) key name you want to upload.

Returns:
  The Amazon S3 object (the deployment package) key name you want to upload.

#### withS3Key

    public UpdateFunctionCodeRequest withS3Key(String s3Key)

The Amazon S3 object (the deployment package) key name you want to upload.

Parameters:
  `s3Key` - The Amazon S3 object (the deployment package) key name you want to upload.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3ObjectVersion

    public void setS3ObjectVersion(String s3ObjectVersion)

The Amazon S3 object (the deployment package) version you want to upload.

Parameters:
  `s3ObjectVersion` - The Amazon S3 object (the deployment package) version you want to upload.

#### getS3ObjectVersion

    public String getS3ObjectVersion()

The Amazon S3 object (the deployment package) version you want to upload.

Returns:
  The Amazon S3 object (the deployment package) version you want to upload.

#### withS3ObjectVersion

    public UpdateFunctionCodeRequest withS3ObjectVersion(String s3ObjectVersion)

The Amazon S3 object (the deployment package) version you want to upload.

Parameters:
  `s3ObjectVersion` - The Amazon S3 object (the deployment package) version you want to upload.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPublish

    public void setPublish(Boolean publish)

This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.

Parameters:
  `publish` - This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.

#### getPublish

    public Boolean getPublish()

This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.

Returns:
  This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.

#### withPublish

    public UpdateFunctionCodeRequest withPublish(Boolean publish)

This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.

Parameters:
  `publish` - This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isPublish

    public Boolean isPublish()

This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.

Returns:
  This boolean parameter can be used to request AWS Lambda to update the Lambda function and publish a version as an atomic operation.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateFunctionCodeRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`